Page 1 of 2 12 LastLast
Results 1 to 10 of 12
  1. #1
    Harmless Inactive Member
    jono_747's Avatar
    Join Date
    Jul 2009
    Posts
    5
    Downloads
    0
    Uploads
    0

    Archon using WinUAE

    Hi, i'm trying to get archon running on winUAE and have the following: WinUAE 1.6.1, Workbench 3.1, and the very latest WHDLoad. I've followed the "Green amiga alien guide" and configured my WinUAE for the default A1200 setting as is on the guide. I've also followed the guide and installed workbench 3.1, and installed WHDLoad. I downloaded the Archon.lha install from whdload.de and ran the install. The install starts off fine, after a few "proceed"s and F12'ing out to load the archon.adf in the floppy drive in WinUAE and hitting "ok", the game begins to install. After reading down the tracks the following message reads "save file Disk.1". Then i get an error message in a new window saying:

    "Sorry... and error has occured!
    Interpreter: Executing non-fucntion in line 208"

    If any has any idea what this means or have gone through similar troubles trying to get Archon to work, your help would be greatly appreciated. I know there are other versions of Archon out there, (C64,NES, etc) but I would really like to get the Amiga version working if it's at all possible. Thanks in advance.

    P.s: I'm completely new to amiga's so i'm sure i made a mistake somewhere. If i've left out certain information that might help you, please ask and i'll try and track down the info. thanks again.

  2. #2
    Competent Inactive Member
    Graham Humphrey's Avatar
    Join Date
    Dec 2007
    Location
    Norwich, Norfolk, UK
    Posts
    308
    Downloads
    0
    Uploads
    0
    You could save yourself the hassle and download a pre-installed version from WHDownLoad.
    I've lost my smile again...

  3. #3
    Harmless Inactive Member
    jono_747's Avatar
    Join Date
    Jul 2009
    Posts
    5
    Downloads
    0
    Uploads
    0
    thanks, I downloaded the file. I placed it in the Hard disk\Programs\ and when I went into the archon folder and clicked on the archon icon, WHDLoad started to launch, and this time i got this error:

    Exception "Illegal Instruction" ($10) at $22128 (Task 'exec.library') occured.

    bottom of the window i get a "quit", "restart", or "make coredump" buttons.

    I'm wondering if the game somehow doesn't like my configuration so far...

  4. #4
    Retro Addict Administrator
    My location

    Burger Time Champion, Sonic Champion Harrison's Avatar
    Join Date
    Dec 2002
    Location
    UK
    Posts
    15,575
    Blog Entries
    1
    Downloads
    6
    Uploads
    14
    Archon is quite an old game and I think I remember it wont run on a standard a1200 as it needs kickstart 1.3. It could be crashing if you don't have a copy of the kickstart 1.3 rom in your whdload installation.

    Does your archon adf work in winuae as it is?

    If you haven't played a classic game in years, it's never too late to start!


  5. #5
    Harmless Inactive Member
    jono_747's Avatar
    Join Date
    Jul 2009
    Posts
    5
    Downloads
    0
    Uploads
    0
    I might not be understanding your question correctly but if you mean if it works in winUAE with regular kickstart in the rom, then no it doesn't work with any of the kickstart versions, I get a software failure, guru meditation error message in every case. That's why i resorted to the WHDLoad method after doing some research on the net. I also don't quite understand what you mean by:

    It could be crashing if you don't have a copy of the kickstart 1.3 rom in your whdload installation.
    Is this something I should be doing seperately after I install whdload and if so how do i do this? or does kickstart 1.3 come with whdload installation file?

  6. #6
    Retro Addict Administrator
    My location

    Burger Time Champion, Sonic Champion Harrison's Avatar
    Join Date
    Dec 2002
    Location
    UK
    Posts
    15,575
    Blog Entries
    1
    Downloads
    6
    Uploads
    14
    WHDLoad is designed to run older games that won't normally run on an A1200 (AGA machine) by using a copy of the Kickstart 1.3 rom from an A500 and soft booting into a 1.3 environment when it runs such games.

    As standard WHDLoad doesn't come with the kickstart rom images as part of its package because the kickstart roms are still the only part of the Amiga that are copyrighted and illegal to distribute. Therefore a copy of the kickstart 1.3 rom from an A500 needs to be added after you have installed the software.

    The paths and names of the files needed for this are as follows:

    Devs:Kickstarts/kick34005.A500 (missing - you need a kickstart 1.3 image, renamed to "kick34005.A500")
    Devs:Kickstarts/kick34005.A500.RTB (already included)

    Devs:Kickstarts/kick40068.A1200 (missing - you need an A1200 kickstart 3.1 image, renamed to "kick40068.A1200")
    Devs:Kickstarts/kick40068.A1200.RTB (already included)

    If you haven't played a classic game in years, it's never too late to start!


  7. #7
    Harmless Inactive Member
    jono_747's Avatar
    Join Date
    Jul 2009
    Posts
    5
    Downloads
    0
    Uploads
    0
    Oh i see what you mean, I actually DO have those files in the dev:kickstarts when i get this error...

  8. #8
    Competent Inactive Member
    Graham Humphrey's Avatar
    Join Date
    Dec 2007
    Location
    Norwich, Norfolk, UK
    Posts
    308
    Downloads
    0
    Uploads
    0
    Have you tried any tooltypes? If you select Archon's icon and select Information in the Icon menu and put in "Nocache" in the tooltypes, try it then.
    I've lost my smile again...

  9. #9
    Harmless Inactive Member
    jono_747's Avatar
    Join Date
    Jul 2009
    Posts
    5
    Downloads
    0
    Uploads
    0
    thanks everyone for your help. I've tried the "nocache" as you suggested and still get the same error. oh well. again thanks for all your suggestions, I guess i'll leave it be for now.

  10. #10
    C64 addict Staff Moderator
    My location

    Demon Cleaner's Avatar
    Join Date
    Dec 2002
    Location
    Phobos
    Posts
    7,135
    Downloads
    7
    Uploads
    88
    I didn't read the whole thread now, but if I remember right, you even have to use kickstart 1.2 to run Archon, it won't work with 1.3 (WinUAE).

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Copyright classicamiga.com